<?php
	$dir_map_api=get_option('carspot_map_api');
	if($dir_map_api==""){$dir_map_api='';}	
	
	
	
?>
<form class="form-horizontal" role="form"  name='map_settings' id='map_settings'>	
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Google Map & Places API Key','carspot');  ?>
			<br/><small><?php esc_html_e('Please set your own google map API key for your site( default key is for only demo)
			','carspot');  ?> </small>
		</label>
		<div class="col-md-8">																		
			<input class="col-md-12 form-control" type="text" name="dir_map_api" id="dir_map_api" value='<?php echo esc_attr($dir_map_api); ?>' >
			<a href="<?php echo esc_url('https://developers.google.com/maps/documentation/javascript/get-api-key');?>"> <?php esc_html_e( 'Get your Google Maps API Key here.', 'carspot' );?>     </a>
		</div>
	</div>
	
	
	
	
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Zoom','carspot');  ?></label>
		<?php
			$dir_map_zoom=get_option('carspot_map_zoom');
			if($dir_map_zoom==""){$dir_map_zoom='7';}	
		?>
		<div class="col-md-3">													
			<input  class="form-control" type="text" name="dir_map_zoom" id="dir_map_zoom" value='<?php echo esc_attr($dir_map_zoom); ?>' >
				<?php esc_html_e('20 is more Zoom, 1 is less zoom','carspot');  ?>
				
		</div>
		
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Type','carspot');  ?></label>
		<div class="col-md-6">
			<?php
				$dir_map_type=get_option('carspot_map_type');
				if($dir_map_type==""){$dir_map_type='OpenSteet';}	
			?>
			<select id='map_type' name='map_type' class='form-control'>
				<option value="google-map" <?php echo ($dir_map_type=='google-map'?' selected':''); ?>><?php esc_html_e('Google Map','carspot');  ?></option>
				<option value="opensteet-map" <?php echo ($dir_map_type=='opensteet-map'?' selected':''); ?> ><?php esc_html_e('OpenSteet Map','carspot');  ?></option>
			</select>
		</div>
		<div class="col-md-2">
			<label>	
			</label>	
		</div>
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Radius','carspot');  ?></label>
		<div class="col-md-6">
			<?php
				$carspot_map_radius=get_option('carspot_map_radius');
				if($carspot_map_radius==""){$carspot_map_radius='Km';}
			?>
			<select id='carspot_map_radius' name='carspot_map_radius' class='form-control'>
				<option value="Km" <?php echo ($carspot_map_radius=='Km'?' selected':''); ?>><?php esc_html_e('Km','carspot');  ?></option>
				<option value="Mile" <?php echo ($carspot_map_radius=='Mile'?' selected':''); ?> ><?php esc_html_e('Mile','carspot');  ?></option>
			</select>
		</div>
		<div class="col-md-2">
			<label>	
			</label>	
		</div>
	</div>
	
	
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Search Box Near to Me','carspot');  ?></label>
		<div class="col-md-3">
			<?php
				$carspot_near_to_me=get_option('carspot_near_to_me');
				if($carspot_near_to_me==""){$carspot_near_to_me='50';}
			?>
			<input  class="form-control" type="text" name="carspot_near_to_me" id="carspot_near_to_me" value='<?php echo esc_attr($carspot_near_to_me); ?>' >
		</div>
		<div class="col-md-2">
			<label>	
			</label>	
		</div>
	</div>
	
	
	
	
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Force Default Location','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_forcelocation=get_option('carspot_forcelocation');
			?>
			<label class="switch">
			  <input name="carspot_forcelocation" type="checkbox" value="forcelocation"  <?php echo ($carspot_forcelocation=='forcelocation' ? ' checked':'');  ?> >
			  <span class="slider round"></span>
			</label>
		</div>		
	</div>
	
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Default Latitude','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_defaultlatitude=get_option('carspot_defaultlatitude');
			?>
			<input  class="form-control" type="text" name="carspot_defaultlatitude" id="carspot_defaultlatitude" value='<?php echo esc_attr($carspot_defaultlatitude); ?>' >
		</div>
		<div class="col-md-4">
			<label>	<a href="<?php echo esc_url('https://www.maps.ie/coordinates.html');?>" target="_blank" >
				<?php esc_html_e('You can find latitude here','carspot');  ?></a>
			</label>	
		</div>
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Default Longitude','carspot');  ?></label>
		<div class="col-md-3">			<?php
				$carspot_defaultlongitude=get_option('carspot_defaultlongitude');
			?>
			<input  class="form-control" type="text" name="carspot_defaultlongitude" id="carspot_defaultlongitude" value='<?php echo esc_attr($carspot_defaultlongitude); ?>' >
		</div>
		<div class="col-md-4">
			<label>	<a href="<?php echo esc_url('https://www.maps.ie/coordinates.html');?>" target="_blank" >
				<?php esc_html_e('You can find longitude here','carspot');  ?></a>
			</label>	
		</div>
	</div>
	<hr/>
	 <label class="carspot-settings-sub-section-title "> <?php esc_html_e('Map Popup/ Infobox settings','carspot');  ?></label>
	
	
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Popup/Infobox Image ','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_infobox_image=get_option('carspot_infobox_image');
				if($carspot_infobox_image==""){$carspot_infobox_image='yes';}
			?>
			<label class="switch">
			  <input name="carspot_infobox_image" type="checkbox" value="yes"  <?php echo ($carspot_infobox_image=='yes' ? ' checked':'');  ?> >
			  <span class="slider round"></span>
			</label>
		</div>		
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Popup/Infobox Title ','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_infobox_title=get_option('carspot_infobox_title');
				if($carspot_infobox_title==""){$carspot_infobox_title='yes';}
			?>
			<label class="switch">
			  <input name="carspot_infobox_title" type="checkbox" value="yes"  <?php echo ($carspot_infobox_title=='yes' ? ' checked':'');  ?> >
			  <span class="slider round"></span>
			</label>
		</div>		
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Popup/Infobox Location ','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_infobox_location=get_option('carspot_infobox_location');
				if($carspot_infobox_location==""){$carspot_infobox_location='yes';}
			?>
			<label class="switch">
			  <input name="carspot_infobox_location" type="checkbox" value="yes"  <?php echo ($carspot_infobox_location=='yes' ? ' checked':'');  ?> >
			  <span class="slider round"></span>
			</label>
		</div>		
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Map Popup/Infobox Direction ','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_infobox_direction=get_option('carspot_infobox_direction');
				if($carspot_infobox_direction==""){$carspot_infobox_direction='yes';}
			?>
			<label class="switch">
			  <input name="carspot_infobox_direction" type="checkbox" value="yes"  <?php echo ($carspot_infobox_direction=='yes' ? ' checked':'');  ?> >
			  <span class="slider round"></span>
			</label>
		</div>		
	</div>
	<div class="form-group row">
		<label  class="col-md-4 control-label"> <?php esc_html_e('Link to Detail page ','carspot');  ?>
			</label>
		<div class="col-md-3">			<?php
				$carspot_infobox_linkdetail=get_option('carspot_infobox_linkdetail');
				if($carspot_infobox_linkdetail==""){$carspot_infobox_linkdetail='yes';}
			?>
			<label class="switch">
			  <input name="carspot_infobox_linkdetail" type="checkbox" value="yes"  <?php echo ($carspot_infobox_linkdetail=='yes' ? ' checked':'');  ?> >
			  <span class="slider round"></span>
			</label>
		</div>		
	</div>
	
	<div class="row">
		
		<div class="col-md-12 col-12">
			<hr/>
			<div id="success_message_map_setting"></div>	
			<button type="button" onclick="return  carspot_update_map_settings();" class="button button-primary carspot-map-settings-save-btn"><?php esc_html_e( 'Update', 'carspot' );?></button>
		</div>	
	</div>	
</form>