<?php
global $wpdb, $post;
global $current_user;
$main_class = new carspot_eplugins;
wp_enqueue_script( "jquery" );
wp_enqueue_style( 'jquery-ui', carspot_ep_URLPATH . 'admin/files/css/jquery-ui.css' );
wp_enqueue_script( 'jquery-ui-core' );
wp_enqueue_script( 'jquery-ui-datepicker' );
wp_enqueue_style( 'bootstrap', carspot_ep_URLPATH . 'admin/files/css/iv-bootstrap.css' );
wp_enqueue_style( 'carspot-my-account-css', carspot_ep_URLPATH . 'admin/files/css/my-account.css' );
wp_enqueue_style( 'carspot-my-account-new-css', carspot_ep_URLPATH . 'admin/files/css/my-account-new.css' );
wp_enqueue_style( 'carspot-metabox-style', carspot_ep_URLPATH . 'admin/files/css/metabox-style.css' );
wp_enqueue_script( 'bootstrap.min', carspot_ep_URLPATH . 'admin/files/js/bootstrap.min-4.js' );
wp_enqueue_script( 'popper', carspot_ep_URLPATH . 'admin/files/js/popper.min.js' );

// Map openstreet
wp_enqueue_script( 'leaflet', carspot_ep_URLPATH . 'admin/files/js/leaflet.js' );
wp_enqueue_style( 'leaflet', carspot_ep_URLPATH . 'admin/files/css/leaflet.css' );
wp_enqueue_script( 'leaflet-geocoder-locationiq', carspot_ep_URLPATH . 'admin/files/js/leaflet-geocoder-locationiq.min.js' );
wp_enqueue_style( 'leaflet-geocoder-locationiq', carspot_ep_URLPATH . 'admin/files/css/leaflet-geocoder-locationiq.min.css' );
$carspot_directory_url = get_option( 'carspot_ep_url' );
if ( $carspot_directory_url == "" ) {
	$carspot_directory_url = 'listing';
}
$curr_post_id = $post->ID;

$current_post = $curr_post_id;
$post_edit    = get_post( $curr_post_id );
?>
    <div class="bootstrap-wrapper">
        <div id="profile-account2" class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="carspot-metabox-section-wrapper logo-banner-metabox-section">
                        <span class="caption-subject">
                            <?php esc_html_e( 'Logo / Image', 'carspot' ); ?>
                        </span>
                        <hr>

                        <div class="row">
                            <div class=" col-md-12">
                                <div class=" col-md-6" id="post_image_div10">
			                        <?php $feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $curr_post_id ), 'thumbnail' );
			                        if ( isset( $feature_image[0] ) ) { ?>
                                        <img title="profile image" class=" img-responsive "
                                             src="<?php echo esc_url( $feature_image[0] ); ?>">
				                        <?php
			                        }
			                        $feature_image_id = get_post_thumbnail_id( $curr_post_id );
			                        ?>
                                </div>
                                <div class=" form-group col-md-6">
                                    <div class="" id="post_image_edit">
                                        <button type="button" onclick="carspot_edit_post_image('post_image_div10');"
                                                class="btn btn-small-ar"><?php esc_html_e( 'Feature Image / Company Logo', 'carspot' ); ?> </button>
                                    </div>
                                </div>
                            </div>                 
                        </div>
                    </div>
					<div class="carspot-metabox-section-wrapper image-gallery-metabox-section">
                    <span class="caption-subject">
                        <?php esc_html_e( 'Image Gallery', 'carspot' ); ?>
                    </span>

                        <hr/>

                        <div class="row">
                            <div class="  form-group col-md-12">
								<?php
								$gallery_ids       = get_post_meta( $curr_post_id, 'image_gallery_ids', true );
								$gallery_ids_array = array_filter( explode( ",", $gallery_ids ) );
								?>
                                <input type="hidden" name="gallery_image_ids" id="gallery_image_ids"
                                       value="<?php echo esc_attr( $gallery_ids ); ?>">
                                <div class="row" id="gallery_image_div">
									<?php
									if ( sizeof( $gallery_ids_array ) > 0 ) {
										foreach ( $gallery_ids_array as $slide ) {
											?>
                                            <div id="gallery_image_div<?php echo esc_html( $slide ); ?>" class="col-md-2">
                                                <div class="metabox-img-gallery-item">
                                                    <img class="img-responsive" src="<?php echo esc_url( wp_get_attachment_url( $slide ) ); ?>">
                                                    <button type="button"
                                                            onclick="carspot_remove_gallery_image('gallery_image_div<?php echo esc_html( $slide ); ?>', <?php echo esc_html( $slide ); ?>);"
                                                            class="btn btn-sm btn-danger"><?php esc_html_e( 'X', 'carspot' ); ?>
                                                    </button>
                                                </div>

                                            </div>
											<?php
										}
									}
									?>
                                </div>
                                <button type="button" onclick="carspot_edit_gallery_image('gallery_image_div');"
                                        class="btn btn-small-ar"><?php esc_html_e( 'Add Images', 'carspot' ); ?></button>
                                </label>
                            </div>
                        </div>
                    </div>
			


                    <div class="carspot-metabox-section-wrapper pricing-metabox-section">
                        <span class="caption-subject">
                            <?php esc_html_e( 'Pricing', 'carspot' ); ?>
                        </span>
                        <hr>

                        <div class="row">
                            <div class=" col-md-6 form-group">
                                <label for="text" class=" control-label"><?php esc_html_e( 'Price', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="price" id="price"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'price', true ) ); ?>"
                                       placeholder="<?php esc_html_e( 'Enter Price ', 'carspot' ); ?>">
                            </div>
                            <div class="col-md-6  form-group">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Discount Price', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="discount" id="discount"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'discount', true ) ); ?>"
                                       placeholder="<?php esc_html_e( 'Enter Discount Price', 'carspot' ); ?>">
                            </div>
                        </div>
                    </div>

                    <div class="carspot-metabox-section-wrapper contact-info-metabox-section">
                        <span class="caption-subject">
                            <?php esc_html_e( 'Contact Info', 'carspot' ); ?>
                        </span>

                        <hr/>

						<?php
						$listing_contact_source = get_post_meta( $post_edit->ID, 'listing_contact_source', true );
						if ( $listing_contact_source == '' ) {
							$listing_contact_source = 'user_info';
						}
						?>

                        <div class=" form-group">
                            <div class="radio">
                                <label><input type="radio" name="contact_source"
                                              value="user_info" <?php echo( $listing_contact_source == 'user_info' ? 'checked' : '' ); ?> > <?php esc_html_e( ' Use The company Info ->', 'carspot' ); ?> <?php echo ucfirst( $current_user->display_name ); ?><?php esc_html_e( ' : Logo, Email, Phone, Website', 'carspot' ); ?>
                                    <a href="<?php echo get_permalink() . '?profile=setting'; ?>"
                                       target="_blank"> <?php esc_html_e( 'Edit', 'carspot' ); ?> </a></label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="contact_source"
                                              value="new_value" <?php echo( $listing_contact_source == 'new_value' ? 'checked' : '' ); ?>><?php esc_html_e( ' New Contact Info', 'carspot' ); ?>
                                </label>
                            </div>
                        </div>

                        <div class="row"
                             id="new_contact_div" <?php echo( $listing_contact_source == 'user_info' ? 'class="displaynone"' : '' ); ?> >
                            <div class=" form-group col-md-12">
                                <div class="" id="post_image_div">
									<?php $feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $curr_post_id ), 'thumbnail' );
									if ( isset( $feature_image[0] ) ) { ?>
                                        <img title="profile image" class=" img-responsive"
                                             src="<?php echo esc_url( $feature_image[0] ); ?>">
										<?php
									} else { ?>
                                        <a href="javascript:void(0);"
                                           onclick="carspot_edit_post_image('post_image_div');">
											<?php echo '<img src="' . esc_url( carspot_ep_URLPATH . 'assets/images/image-add-icon.png' ) . '">'; ?>
                                        </a>
										<?php
									}
									$feature_image_id = get_post_thumbnail_id( $curr_post_id );
									?>
                                </div>

                                <div class="" id="post_image_edit">
                                    <button type="button" onclick="carspot_edit_post_image('post_image_div');"
                                            class="btn btn-small-ar"><?php esc_html_e( 'Add/Edit Company Logo', 'carspot' ); ?> </button>
                                </div>
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Company Name', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="company_name" id="company_name"
                                       value="<?php echo esc_html( get_post_meta( $post_edit->ID, 'company_name', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Company name', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Phone', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="phone" id="phone"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'phone', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Phone Number', 'carspot' ); ?>">
                            </div>

                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'WhatsApp', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="whatsapp" id="whatsapp"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'whatsapp', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter WhatsApp Number', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Viber', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="viber" id="viber"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'viber', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Viber Number', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Email Address', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="contact-email" id="contact-email"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'contact-email', true ) ); ?>"
                                       placeholder="<?php esc_html_e( 'Enter Email Address', 'carspot' ); ?>">
                            </div>
                            
							
							<div class=" form-group col-md-12">
									<label for="text" class=" control-label"><?php  esc_html_e('Address (Save in the listing field)','carspot'); ?></label>
									
									<input type="text" class="form-control" name="address" id="address" value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'address', true ) ); ?>"  placeholder="<?php  esc_html_e('Enter Address','carspot'); ?>">
									<div id="autocomplete-results"></div>	
							</div>

                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'City', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="city" id="city"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'city', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter city', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'State', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="state" id="state"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'state', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter State', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Zipcode/Postcode', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="postcode" id="postcode"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'postcode', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Zipcode/Postcode', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Country', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="country" id="country"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'country', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Country', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Latitude ', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="latitude" id="latitude"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'latitude', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Latitude', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Longitude', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="longitude" id="longitude"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'longitude', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Longitude', 'carspot' ); ?>">
                            </div>
                            <div class=" form-group col-md-6">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Web Site', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="contact_web" id="contact_web"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'contact_web', true ) ); ?>"
                                       placeholder="<?php esc_attr_e( 'Enter Web Site', 'carspot' ); ?>">
                            </div>
                        </div>
                        <input type="hidden" name="feature_image_id" id="feature_image_id"
                               value="<?php echo esc_attr( $feature_image_id ); ?>">
                    </div>


                    <div class="carspot-metabox-section-wrapper video-metabox-section">
                    <span class="caption-subject">
                        <?php esc_html_e( 'Videos ', 'carspot' ); ?>
                    </span>

                        <hr/>

                        <div class="row">
                            <div class=" col-md-6 form-group">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'Youtube', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="youtube" id="youtube"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'youtube', true ) ); ?>"
                                       placeholder="<?php esc_html_e( 'Enter Youtube video ID, e.g : bU1QPtOZQZU ', 'carspot' ); ?>">
                            </div>
                            <div class="col-md-6  form-group">
                                <label for="text"
                                       class=" control-label"><?php esc_html_e( 'vimeo', 'carspot' ); ?></label>
                                <input type="text" class="form-control" name="vimeo" id="vimeo"
                                       value="<?php echo esc_attr( get_post_meta( $post_edit->ID, 'vimeo', true ) ); ?>"
                                       placeholder="<?php esc_html_e( 'Enter vimeo ID, e.g : 134173961', 'carspot' ); ?>">
                            </div>
                        </div>
                    </div>


                    
                    <div class="carspot-metabox-section-wrapper attach-doc-metabox-section">
                <span class="caption-subject">
                    <?php esc_html_e( 'Attached Doc', 'carspot' ); ?>
                </span>
                        <hr/>

						<?php
						$attached_ids       = get_post_meta( $post_edit->ID, 'attached_ids', true );
						$attached_ids_array = array_filter( explode( ",", $attached_ids ) );
						?>
                        <input type="hidden" name="attached_ids" id="attached_ids"
                               value="<?php echo esc_attr( $attached_ids ); ?>">
                        <div id="attached_div">
							<?php
							if ( is_array( $attached_ids_array ) ) {
								foreach ( $attached_ids_array as $slide ) {
									$filename_only = basename( get_attached_file( $slide ) );
									?>
                                    <div id="attached_div<?php echo esc_attr( $slide ); ?>" class="row mb-2">
                                        <label class="col-md-11 control-label"><?php echo esc_html( $filename_only ); ?></label>
                                        <div class="col-md-1">
                                            <button type="button"
                                                    onclick="carspot_remove_attached_doc('attached_div<?php echo esc_attr( $slide ); ?>', <?php echo esc_attr( $slide ); ?>);"
                                                    class="btn btn-small-ar"><?php esc_html_e( 'X', 'carspot' ); ?> </button>
                                        </div>
                                    </div>
									<?php
								}
							}
							?>
                        </div>

                        <div class="row">
                            <div class="  form-group col-md-12">
                                <button type="button" onclick="carspot_attached_doc('attached_div');"
                                        class="btn btn-small-ar mt-2"><?php esc_html_e( 'Add Attachments', 'carspot' ); ?></button>
                                </label>
                            </div>

                        </div>
                    </div>

					
                    <div class="carspot-metabox-section-wrapper business-hour-metabox-section">
                        <div id="carspot_fields">
							<?php
							$currentCategory = wp_get_object_terms( $post_edit->ID, $carspot_directory_url . '-category' );
							$post_cats       = array();
							foreach ( $currentCategory as $c ) {
								array_push( $post_cats, $c->slug );
							}
							echo '' . $main_class->carspot_listing_fields( $post_edit->ID, $post_cats );
							?>
                        </div>

                        <span class="caption-subject">
					    <?php esc_html_e( 'Business Hours ', 'carspot' ); ?>
                        </span>
                        <hr/>
                        <div class="">
							<?php
							include( carspot_ep_template . 'private-profile/listing-open-close-time.php' );
							?>
                        </div>
                    </div>


                    <div class="carspot-metabox-section-wrapper faq-metabox-section">
					<span class="caption-subject">
						<?php esc_html_e( 'FAQs ', 'carspot' ); ?>
					</span>
                        <hr/>


                        <div class="row">
							<?php
							include( carspot_ep_template . 'private-profile/profile-add-edit-faq.php' );
							?>
                        </div>
                    </div>
					
					
					
					
					  <div class="carspot-metabox-section-wrapper faq-metabox-section">
					<span class="caption-subject">
						<?php esc_html_e( 'Social Profile ', 'carspot' ); ?>
					</span>
                        <hr/>					

                        <div class="row">
							<?php
							include( carspot_ep_template . 'private-profile/profile-social.php' );
							?>
                        </div>
                    </div>
					
					
					
					
					
              
                </div>
            </div>
            <input type="hidden" name="listing_data_submit" id="listing_data_submit" value="yes">
        </div>
    </div>
    <!-- END PROFILE CONTENT -->
<?php
$save_address = get_post_meta( $curr_post_id, 'address', true );

$my_theme     = wp_get_theme();
$theme_name   = strtolower( $my_theme->get( 'Name' ) );
wp_enqueue_script( 'carspot_add-edit-listing', carspot_ep_URLPATH . 'admin/files/js/add-edit-listing.js' );
wp_localize_script( 'carspot_add-edit-listing', 'realpro_data', array(
	'ajaxurl'           => admin_url( 'admin-ajax.php' ),
	'loading_image'     => '<img src="' . carspot_ep_URLPATH . 'admin/files/images/loader.gif">',
	'current_user_id'   => get_current_user_id(),
	'Set_Feature_Image' => esc_html__( 'Set Feature Image', 'carspot' ),
	'Set_plan_Image'    => esc_html__( 'Set Image ', 'carspot' ),
	'Set_Event_Image'   => esc_html__( ' Set Image ', 'carspot' ),
	'Gallery Images'    => esc_html__( 'Gallery Images', 'carspot' ),
	'save_address'      => $save_address,
	'permalink'         => get_permalink(),
	'dirwpnonce'        => wp_create_nonce( "addlisting" ),
	'theme_name'        => $theme_name,
) );
	
	 					